## killer 0.90

=== Makefile ===
SCRIPTNAME = killer

# Man page information
SECTION = 1
RELEASE = " "
CENTER = " "

TARGETS = $(SCRIPTNAME).html $(SCRIPTNAME).$(SECTION) $(SCRIPTNAME).txt

all:	$(TARGETS)

$(SCRIPTNAME).html: $(SCRIPTNAME)
	pod2html $(SCRIPTNAME) --outfile=$@

$(SCRIPTNAME).$(SECTION): $(SCRIPTNAME)
	pod2man --section=$(SECTION) --release=$(RELEASE) --center=$(CENTER) $(SCRIPTNAME) > $@

$(SCRIPTNAME).txt: $(SCRIPTNAME)
	pod2text $(SCRIPTNAME) > $(SCRIPTNAME).txt

clean:
	-rm -f $(TARGETS) pod2html-*cache

install:
	@echo "You probably want to customize the script then copy it into place yourself." 1>&2

=== debian/changelog ===
killer (0.90-14) unstable; urgency=medium

  * Dropped Alexander Alemayhu as uploader.  Thanks for all his good work.
  * Switched build from cdbs to dh.
  * Bump debhelper from old 10 to 13.
  * Changed vcs type from git to Git based on URL.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.1.5, no changes needed.
  * Added d/gbp.conf to enforce use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 May 2024 18:48:02 +0200

killer (0.90-13) unstable; urgency=medium

  * Team upload.

  [ Petter Reinholdtsen ]
  * Improve manual page regarding nice levels (Closes: #737651).
  * Update debhelper compat level to 9.

  [ Holger Levsen ]
  * d/control:
    - update Vcs: headers to point to salsa.
    - bump Standards-Version to 4.1.4, no changes needed.
    - declare that killer doesn't need root to build, add
      "Rules-Requires-Root: no" header after testing this is the case.
    - add default-mts to depends and place it first, thanks lintian.
  * d/compat: bump to 10 and adopt dependency accordingly.
  * debian/patches/
    - consoleuser-consolekit.patch: fix typo in description, thanks lintian.
    - add handle-ps-name-truncate.patch to series file.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jun 2018 17:25:35 +0000

killer (0.90-12) unstable; urgency=low

  [ Alexander Alemayhu ]
  * Handle ps format changes (Closes: #771449).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Nov 2014 19:26:57 +0100

killer (0.90-11) unstable; urgency=high

  * Adjust consoleuser-xprintidle.patch to avoid unwanted line break in
    debug output.
  * Improve x-console.dpatch, make it more clear why $tty2idletime is
    set to zero.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 04 Oct 2014 20:54:42 +0200

killer (0.90-10) unstable; urgency=medium

  * Update empty-domain.dpatch to prefer /etc/mailname over the
    dnsdomainname output when generating mail addresses (Closes:
    673371).
  * Refresh all patches to reflect the new line numbers.
  * Restructure control file lists to be more friendly to line based
    version control systems.
  * Update standard-version from 3.9.5 to 3.9.6.  No changes needed.
  * Add new patch consoleuser-consolekit.patch to fall back to
    ck-list-sessions if it exist for finding local sessions if 'who'
    do not list any (Closes: #714428).
  * Add new patch consoleuser-logind.patch to use loginctl to find
    local sessions if 'who' and consolekit both fail.
  * Use xprintidle to figure out how long the X session have been
    unused (Closes: #714477).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Sep 2014 19:44:10 +0200

killer (0.90-9) unstable; urgency=medium

  [ Alexander Alemayhu ]
  * debian/control:
    - Update Vcs-* control fields.
    - Update standard-version from 3.9.2 to 3.9.5.

  [ Petter Reinholdtsen ]
  * Switch from dpatch to source format 3.0 (quilt).
  * Add Alexander Alemayhu as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 11 Jun 2014 14:51:35 +0200

killer (0.90-8) unstable; urgency=low

  * Change empty-domain.dpatch to fetch mail domain from DNS domain and
    not NIS domain (Closes: #656297).
  * Adjust cron job to return exit code 0 also when the package is
    removed but not purged (Closes: #586199).
  * Update standards-version from 3.8.0 to 3.9.2.  No changes needed.
  * Update debhelper compat level from 5 to 8.
  * Adjust copyright file to get lintian to discover the copyright
    statement.
  * Add README.source to keep lintian happy.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 Jan 2012 10:13:58 +0100

killer (0.90-7~lenny1) stable; urgency=low

  * Upload to stable.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 26 Jan 2010 13:27:36 +0100

killer (0.90-7) unstable; urgency=low

  * Fix linux-ps-longusernames.dpatch to also handle long usernames in
    ruser, to avoid killing processes of user with usernames > 8
    characters (Closes: #551753).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 25 Jan 2010 19:03:03 +0100

killer (0.90-6) unstable; urgency=low

  * Fix typo in linux-ps-longusernames.dpatch, returning the password
    hash instead of the username.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  7 Jul 2008 10:29:42 +0200

killer (0.90-5) unstable; urgency=low

  * Rewrite patch x-console to drop code to use uid instead of username
    for console users.  It was based on a misunderstanding regarding the
    source of the uids (Closes: #467499).
  * New patch linux-ps-longusernames to look up uids returned from ps to
    get the usernames, to work around the misfeature in ps only showing
    uids for users with usernames > 8 characters.
  * Change kdm console detection code to recognize any X display, not
    just :0.
  * Updated standards-version from 3.7.3 to 3.8.0.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Jul 2008 12:46:16 +0200

killer (0.90-4) unstable; urgency=low

  [ José L. Redrejo Rodríguez ]
  * Use getent to get the uid as getpwname does not work correctly with
    ldap authenticated users.

  [ Petter Reinholdtsen ]
  * Fix typos in the package description (Closes: #470017).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Mar 2008 11:37:35 +0100

killer (0.90-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Added patch linux-nice-level to deduce nice limit from 20
    (impossible on Linux as 19 is max) to 9.
  * Added patch default-email to change default emails from killer@ to
    root@.
  * Make package group maintained by Debian Edu and add
    José L. Redrejo Rodríguez as uploader.
  * debian/patches/x-console.dpatch modified to avoid killing the user
    logged via gdm/kdm
  * Add Vcs-Svn and Vcs-Browse headers to the control file.

  [ José L. Redrejo Rodríguez ]
  * Modify how console users idle time is calculated.
  * debian/patches/update-valid-users.dpatch to avoid killing daemons
    running under the nobody login.



=== debian/control ===
Source: killer
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper-compat (= 13)
 , perl
Standards-Version: 4.1.5
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/killer
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/killer.git

Package: killer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 , default-mta | exim4 | mail-transport-agent
 , xprintidle
Description: Background job killer
 killer is a perl script that gets rid of background jobs. Background
 jobs are defined as processes that belong to users who are not currently
 logged into the machine. Jobs can be run in the background (and are
 exempt from *killer*'s actions) if their scheduling priority has been
 reduced by increasing their nice(1) value or if they are being run
 through condor.
 .
 When the package is installed, a cron job is installed to run killer
 once an hour.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --without autoreconf
